/*
 * USCI_SPI.c
 *
 *  Created on: Aug 16, 2012
 *      Author: a0135618
 */


#include <msp430.h>
#include "main.h"


#if defined(__MSP430G2553__)


void ucsiSPIInit(void)
{
    UCB0CTL1 = (0x80|UCSWRST);

    UCB0CTL0 = (UCMSB|UCMST|UCSYNC);
    UCB0STAT = 0;
    UCB0BR0 = 16; // SMCLK/16 = 16MHz/16 = 1MHz
    UCB0BR1 = 0;
    UCB0RXBUF;
    UCB0CTL1 = 0x80;
}


unsigned char ucsiSPIWriteRead(unsigned char data, unsigned char all)
{

    UCB0TXBUF = data;
    data = 0x02;
    delay_us(160);

    if (!all)
    {
    	while(!(IFG2 & UCB0RXIFG));
    	data = UCB0RXBUF;
    }

    return data;

}


#endif

